import { ExecuteGoal, SdmGoalEvent } from "@atomist/sdm";
import { KubernetesGoalData } from "./goal";
export interface KubernetesDeployerOptions {
    context: string;
}
export declare function executeKubernetesDeploy(): ExecuteGoal;
/**
 * Validate the SDM goal has all necessary data.  It will return the
 * KubeApplication data if the deployment should proceed.  It will ll
 * return undefined if nothing should be deployed.
 *
 * @param sdmGoal SDM goal for Kubernetes application deployment
 * @return valid KubeApplication if something should be deployed,
 *         undefined if nothing should be deployed
 */
export declare function validateSdmGoal(sdmGoal: SdmGoalEvent): KubernetesGoalData | undefined;
