"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Prepend message to (e: Error).message.
 *
 * @param e original Error
 * @param prefix text to prepend to e.message
 * @return e with modified message
 */
function preErrMsg(e, prefix) {
    e.message = `${prefix}: ${e.message}`;
    return e;
}
exports.preErrMsg = preErrMsg;
//# sourceMappingURL=error.js.map