/**
 * Subset of KubeApplication properties, omitting those that are
 * typically gotten from the context, build, or project.  Since some
 * of these properties are optional here an not in KubeApplication,
 * this is defined as a entirely different object rather than using
 * `Pick<>`.  See the [[KubeApplication]] documentation for property
 * documentation.
 */
export interface KubernetesApplicationOptions {
    environment: string;
    name: string;
    ns?: string;
    imagePullSecret?: string;
    port?: number;
    path?: string;
    host?: string;
    protocol?: "http" | "https";
    tlsSecret?: string;
    replicas?: number;
}
/**
 * Previous name of KubernetesApplicationOptions.
 * @deprecated use KubernetesApplicationOptions
 */
export declare type KubernetesDeploymentOptions = KubernetesApplicationOptions;
